<?php
	/********************************************************************/
	/*                                                                  */
	/*      Copyright (C) 2004 Arash Dejkam, All Rights Reserved.       */
	/*      http://www.tracewatch.com                                   */
	/*                                                                  */
	/*      Please read the licence file distributed with this          */
	/*      file or the one available at tracewatch.com for             */
	/*      the terms under which you can use or modify this file.      */
	/*                                                                  */
	/********************************************************************/
    
	$adminConfig = true;
	require_once dirname(__FILE__).'/../../lib/RecGlobalHead.php';
	
	$ardeUserProfile = $twatch->settings[ 'user_profile' ];
	require_once $twatch->extPath( 'user', 'lib/Global.php' );
	require_once $ardeUser->path( 'lib/User.php' );
	require_once $twatch->path( 'data/DataUsers.php' );
	
	$userData = new TwatchUserData( ArdeUser::USER_PUBLIC );
	$userData->addDefaults( TwatchUserData::$defaultProperties );
	$userData->loadChanges();
	
	if( !isset( $_POST['a'] ) ) throw new TwatchException( 'Action was not sent' );
	

	if( $_POST['a'] == 'change' ) {
		
		$viewReports = ArdeParam::bool( $_POST, 'vr' );
		$viewAdmin = ArdeParam::bool( $_POST, 'va' );
		$admin = ArdeParam::bool( $_POST, 'ad' );
		$viewIps = ArdeParam::bool( $_POST, 'vi' );
		$viewCookieIds = ArdeParam::bool( $_POST, 'vc' );
		
		
		$userData->hold();
		if( $userData->get( TwatchUserData::VIEW_REPORTS ) != $viewReports ) {
			$userData->set( $viewReports, TwatchUserData::VIEW_REPORTS );
		}
		if( $userData->get( TwatchUserData::VIEW_ADMIN ) != $viewAdmin ) {
			$userData->set( $viewAdmin, TwatchUserData::VIEW_ADMIN );
		}
		if( $userData->get( TwatchUserData::ADMINISTRATE ) != $admin ) {
			$userData->set( $admin, TwatchUserData::ADMINISTRATE );
		}
		if( $userData->get( TwatchUserData::VIEW_IPS ) != $viewIps ) {
			$userData->set( $viewIps, TwatchUserData::VIEW_IPS );
		}
		if( $userData->get( TwatchUserData::VIEW_COOKIE_IDS ) != $viewCookieIds ) {
			$userData->set( $viewCookieIds, TwatchUserData::VIEW_COOKIE_IDS );
		}
		$userData->flush();
		
		if( !$xhtml ) $p->pl( '<successful />' );
		
	} else {
		throw new TwatchException( 'unknown action '.$_POST['a'] );
	}
	
	$p->end();
?>