<?php
	/********************************************************************/
	/*                                                                  */
	/*      Copyright (C) 2004 Arash Dejkam, All Rights Reserved.       */
	/*      http://www.tracewatch.com                                   */
	/*                                                                  */
	/*      Please read the licence file distributed with this          */
	/*      file or the one available at tracewatch.com for             */
	/*      the terms under which you can use or modify this file.      */
	/*                                                                  */
	/********************************************************************/
    
	global $ardeUser;
	
	require_once $ardeUser->path( 'lib/User.php' );
	
	class ArdeUserInstaller {
		
		public function install( ArdePrinter $p, $overwrite ) {
			$p->pn( '<p>Installing User Manager... ' );
			ArdeUser::install( $overwrite );
			$p->pl( '<span class="good">Successful</span></p>' );
		}
		
		public function uninstall( ArdePrinter $p ) {
			$p->pn( '<p>Uninstalling User Manager... ' );
			ArdeUser::uninstall();
			$p->pl( '<span class="good">Successful</span></p>' );
		}
	}
?>