<?php
	$locale->revision = 0.32;

	$locale->name = 'Persian'; // In English
	$locale->translatorName = 'Arash Dejkam';
	$locale->translatorLink = '';
	
	$locale->xmlLangCode = 'fa';

	$locale->rightToLeft = true;
	$locale->digits = ArdeLocale::DIGIT_PERSIAN;
	
	$locale->texts = array(
		'Unknown Country'
		=> 'کشور نا مشخص',
		'Afghanistan' 
		=> 'افغانستان',
		'Albania' 
		=> 'آلبانی',
		'Algeria'
		=> 'الجزاير', 
		'American Samoa' 
		=> 'ساموای آمريکايی',
		'Andorra' 
		=> 'آندورا',
		'Angola' 
		=> 'آنگولا',
		'Anguilla' 
		=> 'آنگويلا',
		'Antarctica' 
		=> 'آنتارکتيکا',
		'Antigua and Barbuda' 
		=> 'آنتيگوا و باربودا',
		'Argentina' 
		=> 'آرژانتين',
		'Armenia' 
		=> 'ارمنستان',
		'Aruba' 
		=> 'آروبا',
		'Australia' 
		=> 'استراليا',
		'Austria' 
		=> 'اطريش',
		'Azerbaijan' 
		=> 'آذربايجان',
		'Bahamas' 
		=> 'باهاما',
		'Bahrain'
		=> 'بهرين',
		'Bangladesh'
		=> 'بنگلادش',
		'Barbados'
		=> 'بابادوس',
		'Belarus'
		=> 'روسيه سفيد',
		'Belgium'
		=> 'بلژيک',
		'Belize'
		=> 'بليز',
		'Benin'
		=> 'بنين',
		'Bermuda'
		=> 'برمودا',
		'Bhutan'
		=> 'بوتان',
		'Bolivia'
		=> 'بوليوی',
		'Bosnia and Herzegovina'
		=> 'بوسنی هرزگوين',
		'Botswana'
		=> 'بتسوانا',
		'Bouvet Island'
		=> 'جزيره بووت',
		'Brazil'
		=> 'برزيل',
		'British Indian Ocean Territory'
		=> 'قلمرو بريتانيا در اقيانوس هند',
		'Brunei Darussalam' 
		=> 'دارالسلام برونئی',
		'Bulgaria'
		=> 'بلغارستان',
		'Burkina Faso'
		=> 'بورکينافاسو',
		'Burundi'
		=> 'بروندی',
		'Cambodia'
		=> 'کامبوج',
		'Cameroon'
		=> 'کامرون',
		'Canada'
		=> 'کانادا',
		'Cape Verde'
		=> 'کيپ ورد',
		'Cayman Islands'
		=> 'جزاير کيمن',
		'Central African Republic'
		=> 'جمهوری آفريقای مرکزی',
		'Chad'
		=> 'چاد', 
		'Chile'
		=> 'شيلی',
		'China'
		=> 'چين',
		'Christmas Island'
		=> 'جزيره کريسمس',
		'Cocos (Keeling) Islands'
		=> 'جزاير کوکوس',
		'Colombia'
		=> 'کلمبيا',
		'Comoros'
		=> 'کمرس',
		'Congo'
		=> 'کنگو',
		'Congo, Democratic Republic of the'
		=> 'جمهوری دموکراتيک کنگو',
		'Cook Islands'
		=> 'جزاير کوک',
		'Costa Rica'
		=> 'کاستاريکا',
		'Croatia'
		=> 'کرواسی',
		'Cuba'
		=> 'کوبا',
		'Cyprus'
		=> 'قبرس',
		'Czech Repbulic'
		=> 'جمهوری چک',
		'Cote d\'Ivoire'
		=> 'ساحل عاج',
		'Denmark'
		=> 'دانمارک',
		'Djibouti'
		=> 'جيبوتی',
		'Dominica'
		=> 'دومينيکا',
		'Dominican Repbulic'
		=> 'جمهوری دومينيکن',
		'East Timor'
		=> 'تيمور شرقی',
		'Ecuador'
		=> 'اکوادور',
		'Egypt'
		=> 'مصر',
		'El Salvador'
		=> 'ال سالوادر', 
		'Equatorial Guinea'
		=> 'گينه استوايی',
		'Eritrea'
		=> 'اريتره',
		'Estonia'
		=> 'استونی',
		'Ethiopia'
		=> 'اتيوپی',
		'Falkland Islands (Malvinas)'
		=> 'مالويناس',
		'Faroe Islands'
		=> 'جزاير فارو',
		'Fiji'
		=> 'فيجی',
		'Finland'
		=> 'فنلاند',
		'France'
		=> 'فرانسه',
		'France, Metropolitan'
		=> 'فرانسه متروپليتن',
		'Frence Guiana'
		=> 'فرانسه گويانا',
		'French Polynesia'
		=> 'فرانسه پاينزيا',
		'French Southern Territories'
		=> 'قلمرو جنوبی فرانسه',
		'Great Britain'
		=> 'بريتانيای کبير',
		'Gabon'
		=> 'گابن',
		'Gambia'
		=> 'گامبيا',
		'Georgia'
		=> 'گرجستان',
		'Germany'
		=> 'آلمان',
		'Ghana'
		=> 'غنا',
		'Gibraltar'
		=> 'جبرالتار',
		'Greece'
		=> 'يونان',
		'Greenland'
		=> 'گرينلند',
		'Grenada'
		=> 'گرنادا',
		'Guadaloupe'
		=> 'گوادالوپ',
		'Guam'
		=> 'گوام',
		'Guatemala'
		=> 'گواتمالا',
		'Guinea'
		=> 'گينه',
		'Guinea-Bissau'
		=> 'گينه بيسائو',
		'Guyana'
		=> 'گويانا',
		'Haiti'
		=> 'هائيتی',
		'Heard Island and McDonal Islands'
		=> '',
		'Honduras'
		=> 'هندوراس',
		'Hong Kong'
		=> 'هنگ کنگ',
		'Hungary'
		=> 'مجارستان',
		'Iceland'
		=> 'ايسلند',
		'India'
		=> 'هند',
		'Indonesia'
		=> 'اندونزی',
		'Iran'
		=> 'ايران',
		'Iraq'
		=> 'عراق',
		'Ireland'
		=> 'ايرلند',
		'Israel'
		=> 'اسرائيل',
		'Italy'
		=> 'ايتاليا',
		'Jamaica'
		=> 'جامائيکا',
		'Japan'
		=> 'ژاپن',
		'Jordan'
		=> 'اردن',
		'Kazakhstan'
		=> 'قزاقستان',
		'Kenya'
		=> 'کنيا',
		'Kiribati'
		=> 'کيريباتی',
		'Korea, North'
		=> 'کره شمالی',
		'Korea, South'
		=> 'کره جنوبی',
		'Kuwait'
		=> 'کويت',
		'Kyrgyzstan'
		=> 'قرقيزستان',
		'Laos'
		=> 'رائوس',
		'Latvia'
		=> 'لاتويا',
		'Lebanon'
		=> 'لبنان',
		'Lesotho'
		=> 'لسوتو',
		'Liberia'
		=> 'ليبريا',
		'Libya'
		=> 'ليبی',
		'Liechtenstein'
		=> 'ليختنشتاين',
		'Lithuania'
		=> 'ليتوانی',
		'Luxembourg'
		=> 'لوکزامبورگ',
		'Macau'
		=> 'ماکائو',
		'Macedonia'
		=> 'مقدونيه',
		'Madagascar'
		=> 'ماداگاسکار',
		'Malawi'
		=> 'مالاوی',
		'Malaysia'
		=> 'مالزی',
		'Maldives'
		=> 'مالديو',
		'Mali'
		=> 'مالی',
		'Malta'
		=> 'مالتا',
		'Marshall Islands'
		=> 'جزاير مارشال',
		'Martinique'
		=> 'مارتينيک',
		'Mauritania'
		=> 'موريتانی',
		'Mauritius'
		=> 'موريس',
		'Mayotte'
		=> 'مايوت',
		'Mexico'
		=> 'مکزيک',
		'Micronesia'
		=> 'ميکرونزی',
		'Moldova'
		=> 'مولدوا',
		'Monaco'
		=> 'مناکو',
		'Mongolia'
		=> 'مغولستان',
		'Montserrat'
		=> 'مونتسرات',
		'Morocco'
		=> 'مراکش',
		'Mozambique'
		=> 'موزامبيک',
		'Myanmar'
		=> 'ميانمار',
		'Namibia'
		=> 'ناميبيا',
		'Nauru'
		=> 'نائورو',
		'Nepal'
		=> 'نپال',
		'Netherlands'
		=> 'هلند',
		'Netherlands Antilles'
		=> 'آنتيل هلند',
		'New Caledonia'
		=> 'کالدونيای جديد',
		'New Zealand'
		=> 'نيوزلند',
		'Nicaragua'
		=> 'نيکاراگوا',
		'Niger'
		=> 'نيجر',
		'Nigeria'
		=> 'نيجريه',
		'Niue'
		=> 'نيو',
		'Norfolk Island'
		=> 'جزيره نرفلک',
		'Northern Mariana Islands'
		=> 'جزاير ماريانای شمالی',
		'Norway'
		=> 'نروژ',
		'Oman'
		=> 'عمان',
		'Pakistan'
		=> 'پاکستان',
		'Palau'
		=> 'پالائو',
		'Panama'
		=> 'پاناما',
		'Papua New Guinea'
		=> 'پاپوا گينه نو',
		'Paraguay'
		=> 'پاراگوئه',
		'Peru'
		=> 'پرو',
		'Philippines'
		=> 'فيليپين',
		'Pitcairn'
		=> 'پيتکايرن',
		'Poland'
		=> 'لهستان',
		'Portugal'
		=> 'پرتغال',
		'Puerto Rico'
		=> 'پرتوريکو',
		'Qatar'
		=> 'قطر',
		'Romania'
		=> 'رومانی',
		'Russian Federation'
		=> 'روسيه',
		'Rwanda'
		=> 'رواندا',
		'Reunion'
		=> 'ريونیون',
		'Saint Helena'
		=> 'سن هلن',
		'Saint Kitts and Nevis'
		=> 'سن کيت و نويس',
		'Saint Lucia'
		=> 'سن لوسيا',
		'Saint Pierre and Miquelon'
		=> 'سنت پير و ميکوئلون',
		'Saint Vincent and the Grenadines'
		=> 'سنت وينسنت و گرنادين',
		'Samoa'
		=> 'ساموا',
		'San Marino'
		=> 'سن مارينو',
		'Saudi Arabia'
		=> 'عربستان سعودی',
		'Senegal'
		=> 'سنگال',
		'Seychelles'
		=> 'سيشل',
		'Sierra Leone'
		=> 'سيرالئون',
		'Singapore'
		=> 'سنگاپور',
		'Slovakia'
		=> 'اسلواکی',
		'Slovenia'
		=> 'اسلوونی',
		'Solomon Islands'
		=> 'جزاير سلمن',
		'South Africa'
		=> 'آفريقای جنوبی',
		'South Georgia and the South Sandwich Islands'
		=> 'جورجيای جنوبی و جزاير ساندويچی جنوبی',
		'Spain'
		=> 'اسپانيا',
		'Sri Lanka'
		=> 'سريلانکا',
		'Sudan'
		=> 'سودان',
		'Suriname'
		=> 'سورينام',
		'Svalbard and Jan Mayen'
		=> 'چزاير سوالبارد و يان ماين',
		'Swaziland'
		=> 'سوازيلند',
		'Sweden'
		=> 'سوئد',
		'Switzerland'
		=> 'سوئيس',
		'Syria'
		=> 'سوريه',
		'Sao Tome and Príncipe'
		=> '',
		'Taiwan'
		=> 'تايوان',
		'Tajikistan'
		=> 'تاجيکستان',
		'Tanzania'
		=> 'تانزانيا',
		'Thailand'
		=> 'تايلند',
		'Togo'
		=> 'توگو',
		'Tokelau'
		=> 'توکلو',
		'Tonga'
		=> 'تونگا',
		'Trinidad and Tobago'
		=> 'ترينيداد و توباگو',
		'Tunisia'
		=> 'تونس',
		'Turkey'
		=> 'ترکيه',
		'Turkmenistan'
		=> 'ترکمنستان',
		'Turks and Caicos Islands'
		=> 'جزاير تورکس و کايکوس',
		'Tuvalu'
		=> 'توالو',
		'Uganda'
		=> 'اوگاندا',
		'Ukraine'
		=> 'اوکراين',
		'United Arab Emirates'
		=> 'امارات متحده عربی',
		'United Kingdom'
		=> 'انگليس',
		'United States'
		=> 'آمريکا',
		'United States Minor and Outlying Islands'
		=> 'جزاير اقمای ايالات متحده',
		'Uruguay'
		=> 'اروگوئه',
		'Uzbekistan'
		=> 'ازبکستان',
		'Vanuatu'
		=> 'وانواتو',
		'Vatican City'
		=> 'واتيکان',
		'Venezuela'
		=> 'ونزوئلا',
		'Viet Nam'
		=> 'ويتنام',
		'Virgin Islands, British'
		=> 'جزاير ويرجين انگليسی',
		'Virgin Islands, U.S.'
		=> 'جزاير ويرجين آمريکايی',
		'Wallis and Fortuna Islands'
		=> 'جزاير واليس و فوتونا',
		'Western Sahara'
		=> 'صحرای غربی',
		'Yemen'
		=> 'يمن',
		'Yugoslavia'
		=> 'يوگوسلاوی',
		'Zaire'
		=> 'زئير',
		'Zambia'
		=> 'زامبيا',
		'Zimbabwe'
		=> 'زيمبابوه',
		'Serbia and Montenegro'
		=> 'صربستان و مونتنگرو',
		
		//added in 0.32
		'Serbia'
		=> 'صربستان',
		'Montenegro'
		=> 'مونتنگرو',
		'Palestinian Territory'
		=> 'منطقه خودمختار فلسطين',
		'Somalia'
		=> 'سومالی',
		'Timor-Leste'
		=> 'تيمور لست',
		'Jersey'
		=> 'جرسی',
		'Aland Islands'
		=> 'جزاير آلاند',
		'Saint Martin'
		=> 'سن مارتين',
		'Isle Of Man'
		=> 'جزيره مان',
		'Réunion'
		=> 'ريونیون',
		'Côte d\'Ivoire'
		=> 'ساحل عاج',
		'São Tomé and Príncipe'
		=> 'سائو تومه',
		'Heard Island and McDonald Islands'
		=> 'جزيره هرد و جزاير مک دونالد',
		'Guernsey'
		=> 'گوئرنزی'
	);
	
?>