<?php
	/********************************************************************/
	/*                                                                  */
	/*      Copyright (C) 2004 Arash Dejkam, All Rights Reserved.       */
	/*      http://www.tracewatch.com                                   */
	/*                                                                  */
	/*      Please read the licence file distributed with this          */
	/*      file or the one available at tracewatch.com for             */
	/*      the terms under which you can use or modify this file.      */
	/*                                                                  */
	/********************************************************************/


	if( isset( $_POST[ 'twatch_profile' ] ) ) $twatchProfile = $_POST[ 'twatch_profile' ];
	require_once dirname(__FILE__).'/../api/LogRequest.php';
	
	if( !$twatch->settings[ 'allow_js_logging' ] ) die();
	if( $twatch->settings[ 'down' ] ) die( $twatch->settings[ 'down_message' ] );
	
	
	if( !isset( $_POST[ 'page' ] ) ) die( 'page not specified' );
	
	if( !preg_match( '/^[^\/]+\:\/\/[^\/]+(\/.*|)$/', $_POST[ 'page' ], $matches ) ) die( 'page not valid' );
	
	$data = array( 'page' => $matches[1] );

	if( isset( $_POST[ 'ref' ] ) ) {
		$data[ 'referrer' ] = $_POST[ 'ref' ];
	} else {
		$data[ 'referrer' ] = $twatchRemoveData;
	}
	
	$pageParams = !isset( $_POST[ 'strip_page_params' ] );
	
	$cookie = !isset( $_POST[ 'no_cookies' ] );
	
	if( isset( $_POST[ 'website_id' ] ) ) {
		$websiteId = $_POST[ 'website_id' ];
	} else {
		$websiteId = 1;
	}
	
	twatchLogRequest( $cookie, $websiteId, 
		$twatch->settings[ 'unauthorized_log_errors' ],
		$twatch->settings[ 'unauthorized_show_errors' ],
		$twatch->settings[ 'unauthorized_muted_errors' ],
		$pageParams, $data );
?>