<?php
	require_once dirname(__FILE__).'/lib/PageGlobal.php';
	
	$page->toRoot = '.';
	$page->title = 'Logout';
	
	$loggedIn = false;
	
	$ardeUser->db = new ArdeDb( $ardeUser->settings );
	$ardeUser->db->connect();
	
	$user = ArdeUser::getUser();
	if( $user->id !== ArdeUser::USER_PUBLIC ) {
		$loggedIn = true;
		$user->removeRandom();
		
		setcookie( $ardeUser->settings[ 'cookie_prefix' ], '', time() - 7*86400, $ardeUser->settings[ 'cookie_folder' ], $ardeUser->settings[ 'cookie_domain' ] );
	}
	
	$p->crossPrinter->forceHold();	
	$p->start();
	$page->printFooter( $p->footer );
	$page->printHeader( $p );
	$p->crossPrinter->forceFlush();
	
	
	if( $loggedIn ) {
		$p->pl( '<p><span class="good">You successfully logged out.</span></p>' );
	} else {
		$p->pl( '<p><span class="fixed">You are not logged in.</span></p>' );
	}
	
	
	$page->close( $p );
?>